using System;

internal sealed class Delegate416 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate416 delegate416_1)
	{
		return delegate416_1(object_0);
	}

	public extern Delegate416(object object_0, IntPtr intptr_0);

	static Delegate416()
	{
		Class10.smethod_13(typeof(Delegate416).TypeHandle);
	}

	internal static Delegate416 delegate416_0;
}
